Subject: Re: How do I send EDI file securely over Internet via FTP or HTTPS?

From: "Paul V Ford-Hutchinson" <[email-masked]>
Date: Thu, 6 Jun 2002 21:41:12 +0100

Well, this being the EDI-INT w/g - you'll get pointed at AS1 (SMTP) and AS2
(HTTPS). There are, no doubt, many interoperable implementations out there
(see the drummond group web site) but trying to get one of the vendors to
interoperate with a RYO implementation will cost you $$$.

FTP is an unfavoured backwater of the Internet (mainly due to firewall
issues) but there are a significant number of secure ftp implementations
that use FTP and SSL (or TLS if you want to get IETF-picky).  See my "state
of ftps" page at http://www.ford-hutchinson.com/~fh-1-pfh/ftps-ext.html .

There's also sftp (which usually means ftp over SSH) if you like the SSH
model.

Paul

--
Paul Ford-Hutchinson :  eCommerce application security :
[email-masked]
MPT-6, IBM , PO Box 31, Birmingham Rd, Warwick, CV34 5JL +44 (0)1926 462005
http://www.ford-hutchinson.com/~fh-1-pfh/ftps-ext.html

                      Peter Cumming                                                                                              
                      <[email-masked]        To:       [email-masked]                                                   
                      >                          cc:                                                                             
                      Sent by:                   Subject:  How do I send EDI file securely over Internet via FTP or HTTPS?       
                      owner-ietf-ediint@m                                                                                        
                      ail.imc.org                                                                                                

                      31/05/2002 05:23 PM                                                                                        
                      Please respond to                                                                                          
                      pcumming                                                                                                   

We have a few (3-5) clients who would like to receive
EDI via FTP or HTTPS

We would send the file to them (from Unix or
Windows), they would receive it.

Of course we could use standard FTP. However is
there some way to send an encrpyted FTP?
I have heard of Kermit, SSH, and PGP. Not sure
which if any is the correct, low cost and easiest
approach for us to first encrpyt and then FTP/HTTPS
(not sure how) over the Internet to our 2-4 customers.

1. What is the best approach and how would one
set-up  to run unattended?
What software is needed on both ends?
Note that we are the sender so we will not need much.

2. Supposedly the SAP Business Connector has the
ability to send via SSL over the Internet. How
does this work? We could then send our ship notice to
the customer through this. Not sure of the mechanices,
what is needed on each end, how we would send it,
etc..

Thanks for any guidance.
Peter
[email-masked]

__________________________________________________
Do You Yahoo!?
Yahoo! - Official partner of 2002 FIFA World Cup
http://fifaworldcup.yahoo.com